package com.yunfeiyun.agmp.fms.domain.vo;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.enums.DictTypeEnums;
import com.yunfeiyun.agmp.common.utils.DictUtils;
import com.yunfeiyun.agmp.common.utils.StringUtils;
import lombok.Data;
import org.apache.commons.lang3.ObjectUtils;

import java.math.BigDecimal;

/**
 * 农事任务农具对象 FmsTaskmachine
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
@Data
public class FmsTaskmachineVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 农事任务农具标识 */
    private String taskmachId;

    /** 机具标识 */
    @Excel(name = "机具标识")
    private String machId;

    /** 农事任务农具使用量 */
    @Excel(name = "农事任务农具使用量")
    private BigDecimal taskmachUsedcount;

    /** 机具名称 */
    @Excel(name = "机具名称")
    private String machName;

    /** 机具规格 */
    @Excel(name = "机具规格")
    private String machSpec;

    /** 机具类型 */
    private String machType;

    /** 农事任务农具投入金额 */
    private BigDecimal taskmachInvestmentAmount;

    public BigDecimal getTaskmachUsedcount() {
        if (ObjectUtils.isEmpty(this.taskmachUsedcount)){
            return BigDecimal.valueOf(0);
        }
        return taskmachUsedcount;
    }

    public String getMachSpec() {
        if (StringUtils.isEmpty(this.machSpec)){
            return "";
        }
        return machSpec;
    }

    public String getMachTypeContent(){
        return DictUtils.getDictLabel(DictTypeEnums.FMS_MACH_TYPE.getCode(),this.machType);
    }
}
